#include <iostream>
using namespace std;
int main(){
	int N,brojstvari=0;
	cin>>N; 
	int x[N], y[N], z[N],zbiraka[N]={0},k=0;
	for(int i=0; i<N; i++)
		cin>>x[i];
	for(int i=0; i<N; i++){
		cin>>y[i];
		while(k<N){
			if(x[k]==y[i]) zbiraka[i]++;
			k++;
		}
		k=0;
	}
	for(int i=0; i<N; i++){
		cin>>z[i];
				brojstvari+=zbiraka[z[i]-1];
	}
	cout<<brojstvari;
	return 0;
}